ManifestMergeDetails (Gradle API 8.11)

Package org.gradle.api.java.archives

## Interface ManifestMergeDetails

-     public interface ManifestMergeDetails

  Details of a value being merged from two different manifests.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `exclude()` | Excludes this key from being in the manifest after the merge.
    `java.lang.String` | `getBaseValue()` | Returns the value for the key of the manifest that is the target of the merge.
    `java.lang.String` | `getKey()` | Returns the key that is to be merged.
    `java.lang.String` | `getMergeValue()` | Returns the value for the key of the manifest that is the source for the merge.
    `java.lang.String` | `getSection()` | Returns the section this merge details belongs to.
    `java.lang.String` | `getValue()` | Returns the value for the key of the manifest after the merge takes place.
    `void` | `setValue​(java.lang.String value)` | Set's the value for the key of the manifest after the merge takes place.

- - ### Method Detail

    - #### getSection

          java.lang.String getSection()

      Returns the section this merge details belongs to.

    - #### getKey

          java.lang.String getKey()

      Returns the key that is to be merged.

    - #### getBaseValue

          java.lang.String getBaseValue()

      Returns the value for the key of the manifest that is the target of the merge.

    - #### getMergeValue

          java.lang.String getMergeValue()

      Returns the value for the key of the manifest that is the source for the merge.

    - #### getValue

          java.lang.String getValue()

      Returns the value for the key of the manifest after the merge takes place. By default this is the value of the source for the merge.

    - #### setValue

          void setValue​(java.lang.String value)

      Set's the value for the key of the manifest after the merge takes place.

    - #### exclude

          void exclude()

      Excludes this key from being in the manifest after the merge.